buildings_electricity_capacity_actual_soc
GET/public-api/buildings/:uuid/electricity/capacity/actual/soc/
Pre-requisites
- uuid: You need a (building) uuid for this endpoint. You can get a list of buildings with
GET /buildings/.
Retrieve the current estimated state of charge (SoC) of the storage assets in your building as a whole-number percentage.
When a building has multiple batteries, this value is the average SoC of the batteries that currently report data. Batteries that are offline or otherwise unavailable are excluded.
Example: a building has two batteries. Battery A reports 80% SoC and battery B is offline.
This endpoint returns 80 (SoC of the available battery), not an empty response.
If both batteries report data (for example 80% and 40%), the endpoint returns 60.
Disclaimer: Treat this percentage as an estimate for the capacity that is available at the time of the request. Do not use this in conjunction with electricity/capacity/actual to calculate energy (kWh)!
value: percentage (0–100)
Request
Responses
- 200
- 204
- 400
- 404
- 429
When no data available
Invalid request
Building not found
Too many requests